aboutsummaryrefslogtreecommitdiffstats
path: root/main/libxfont
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/libxfont
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/libxfont')
-rw-r--r--main/libxfont/APKBUILD23
1 files changed, 23 insertions, 0 deletions
diff --git a/main/libxfont/APKBUILD b/main/libxfont/APKBUILD
new file mode 100644
index 0000000000..f8a2bb2509
--- /dev/null
+++ b/main/libxfont/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libxfont
+pkgver=1.4.1
+pkgrel=0
+pkgdesc="X11 font rasterisation library"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="libfontenc freetype zlib"
+makedepends="pkgconfig libfontenc-dev freetype-dev fontsproto xproto xtrans
+ zlib-dev"
+source="http://xorg.freedesktop.org/archive/individual/lib/libXfont-$pkgver.tar.bz2"
+
+depends_dev="xproto fontsproto libfontenc-dev freetype-dev"
+
+build() {
+ cd "$srcdir"/libXfont-$pkgver
+ ./configure --prefix=/usr --sysconfdir=/etc || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="4f2bed2a2be82e90a51a24bb3a22cdf0 libXfont-1.4.1.tar.bz2"